/*
 * version.c
 *
 *  Created on: Aug 12, 2016
 *      Author: tkl
 */
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <stdbool.h>

#include "queue.h"
#include "stack.h"
#include "version.h"
#include "kernel.h"

int get_kernel_version(struct kernel_version *version)
{
	if(NULL == version)
		return -1;
	if(strcmp(KERNEL_VERSION, "unknown"))
		return -1;
	if(strcmp(MAJOR_VERSION, "unknown"))
		return -1;
	if(strcmp(MINOR_VERSION, "unknown"))
		return -1;
	if(strcmp(BUILD_NUMBER, "unknown"))
		return -1;
	version->kernel_version = (unsigned int)atoi(KERNEL_VERSION);
	version->major_version = (unsigned int)atoi(MAJOR_VERSION);
	version->minor_version = (unsigned int)atoi(MINOR_VERSION);
	version->build_number = (unsigned int)atoi(BUILD_NUMBER);

	return 0;
}

